Album: Heir of Grief
Directory: heir-of-grief-richaadeb
Always Reference By Directory: true
Style: single
Date: February 1, 2018
Date Added: June 12, 2024
Artists:
- RichaadEB
Cover Artists:
- NotRachelable
Cover Art File Extension: jpg
URLs:
- https://www.youtube.com/watch?v=VynZTYtvWFA
- https://open.spotify.com/album/0e2BDRyYuoHdgBinlDbI2X
- https://music.apple.com/album/heir-of-grief-single/1742078618
- https://music.amazon.com/albums/B0D1Z9917C
Groups:
- Fandom
Color: '#A9FE29'
---
Track: Heir of Grief
Directory: heir-of-grief-richaadeb
Always Reference By Directory: true
Additional Names:
- Name: >-
    Homestuck - HEIR OF GRIEF || Metal Cover by RichaadEB
  Annotation: >-
    [YouTube](https://www.youtube.com/watch?v=VynZTYtvWFA)
Duration: 5:09
Referenced Tracks:
- Heir of Grief
Commentary: |-
    <i>RichaadEB:</i> ([YouTube description](https://youtu.be/VynZTYtvWFA), excerpt)

    well I'll be  is tHAT a daggum HOMESTUCK referencE??
